#!/bin/csh

#Second script: to have multiple executions of direct loader:

setenv ORACLE_PSRV MCI
setenv USER mci
#setenv USER bench

date

if( $#argv != 4 ) then 
	echo Usage: full_loadr1.sh scale_factor no_tables_to_run no_instances table_name
	exit
endif

if( $argv[4] != 'lineitem' && $argv[4] != 'order' && $argv[4] != 'customer' && \
$argv[4] != 'partsupp' && $argv[4] != 'part' && $argv[4] != 'supplier' ) then
 echo " "
 echo error in full_loadr1.sh. invalid table name $argv[4].
 echo " "
 exit
endif

date

setenv DATADIR /raw/rawdata$argv[1]
setenv LOGDIR /usr/mci/load/outsf$argv[1]

if( ! -e $LOGDIR ) mkdir /usr/mci/load/outsf$1

set filelist = $argv[4]
set ninst = $argv[3]


set m = 1

echo ninst = $ninst

#Set off first full set of loads

while( $m <= $ninst )
 setenv ORACLE_SID $ORACLE_PSRV$m
#Note that the control file has already been created via create_ctl.sh 
#      using same parameters as sent to this shell

 xnc -L 300 -s -Ncomm 200000 -Nheap 1000000 -h $m \
  /usr/orahost/orahome/bin/sqlload \
  USERID=$USER/$USER \
  CONTROL=$LOGDIR/$filelist.ctl$m \
  LOG=$LOGDIR/$filelist.$m.log \
  ROWS=1000 \
  PARALLEL=TRUE \
  DIRECT=TRUE < /dev/null >& $LOGDIR/sqlload.$filelist.$m.out &

 echo load started for $filelist on instance $m.
 echo " "
#Sleep time between direct loader starts to keep name server from 
#	becoming overloaded
 sleep 15
@ m++
end

date
 
